Subject: Re: Slowdown in C Mode fontification

From: Alan Mackenzie <[email-masked]>
Date: Tue, 10 May 2016 19:00:04 +0000

Hello, Eli.

On Tue, May 10, 2016 at 07:04:28PM +0300, Eli Zaretskii wrote:
> > Date: Tue, 10 May 2016 07:51:32 +0000
> > Cc: [email-masked], Glenn Morris <[email-masked]>
> > From: Alan Mackenzie <[email-masked]>

> > > Btw, I noticed that CC Mode is quite a bit slower on master than it is
> > > on emacs-25 (try searching for "IF_LINT" in xdisp.c), is that related
> > > to these changes in any way?

> > Whoops!  No, this slowdown is caused by commit
> > 89d1776b81ab552192ee41f13ce84ff86bda4556 on 2016-04-25, a fix for bug
> > #7918.  The bug was the spurious fontification of something like "for (;
> > a * b;)".

> > I'll see if I can find a better fix; if not, it would probably be best to
> > remove the commit and leave the bug unfixed.

> Since this is only on master (right?), there's no rush to revert the
> commit, perhaps you or someone else will come up with a solution that
> doesn't bring back bug #7918.

I've reverted it.  I'm thinking of Martin, who doesn't have a fast
machine, and it's annoyingly slow even for me on my machine.  In fact
the slowdown in fontification is approximately a factor of 3.

I've now got some idea how to fix this, and it will be radically
different from the reverted commit, not a variation on it.

> Thanks.

-- 
Alan Mackenzie (Nuremberg, Germany).